import React from 'react';
import { FormControlProps } from './Item';
import { TableCell } from '../Table';
export interface StaticProps extends FormControlProps {
    placeholder?: string;
    tpl?: string;
    text?: string;
}
export default class StaticControl extends React.Component<StaticProps, any> {
    static defaultProps: {
        placeholder: string;
    };
    constructor(props: StaticProps);
    handleQuickChange(values: any, saveImmediately: boolean | any): void;
    render(): JSX.Element;
}
export declare class StaticControlRenderer extends StaticControl {
}
export declare class StaticFieldRenderer extends TableCell {
    static defaultProps: {
        wrapperComponent: string;
        column?: object | undefined;
        render?: ((region: string, node: import("../../types").SchemaNode, props?: any) => JSX.Element) | undefined;
        env?: import("../../factory").RendererEnv | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../../theme").ClassNamesFn | undefined;
        $path?: string | undefined;
        store?: import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceType<import("mobx-state-tree/dist/types/complex-types/model").ModelPropertiesDeclarationToProperties<{
            id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
            path: string;
            storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
            hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>>;
            data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
            updatedAt: number;
            pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
            parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>>;
            action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
            dialogOpen: false;
            dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
            drawerOpen: false;
            drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
        }>, {
            readonly parentStore: import("mobx-state-tree/dist/types/complex-types/model").ModelInstanceType<import("mobx-state-tree/dist/types/complex-types/model").ModelPropertiesDeclarationToProperties<{
                id: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
                path: string;
                storeType: import("mobx-state-tree/dist/core/type/type").ISimpleType<string>;
                hasRemoteData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<boolean>>;
                data: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
                updatedAt: number;
                pristine: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
                parentId: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").ISimpleType<string>>;
                action: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
                dialogOpen: false;
                dialogData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
                drawerOpen: false;
                drawerData: import("mobx-state-tree/dist/types/utility-types/optional").IOptionalIType<import("mobx-state-tree/dist/core/type/type").IType<any, any, any>>;
            }>, any & {
                initData(data?: object): void;
                reset(): void;
                updateData(data?: object, tag?: object | undefined): void;
                setCurrentAction(action: object): void;
                openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
                closeDialog(result?: any): void;
                openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
                closeDrawer(result?: any): void;
            }, import("mobx-state-tree/dist/types/complex-types/model")._NotCustomized, import("mobx-state-tree/dist/types/complex-types/model")._NotCustomized> | null;
        } & {
            initData(data?: object): void;
            reset(): void;
            updateData(data?: object, tag?: object | undefined): void;
            setCurrentAction(action: object): void;
            openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
            closeDialog(result?: any): void;
            openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
            closeDrawer(result?: any): void;
        }, import("mobx-state-tree/dist/types/complex-types/model")._NotCustomized, import("mobx-state-tree/dist/types/complex-types/model")._NotCustomized> | undefined;
        data?: {
            [propName: string]: any;
        } | undefined;
        defaultData?: object | undefined;
        className?: string | undefined;
    };
    render(): JSX.Element;
}
